ModelEditorFactory

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Class ModelEditorFactory

    com.change_vision.jude.api.inf.editor.ModelEditorFactory

public class ModelEditorFactory

Class to create ModelEditor.

Field Summary
`private static String` | `BASIC_MODEL_EDITOR_NAME`
`private static BasicModelEditor` | `basicModelEditor`
`private static String` | `ER_MODEL_EDITOR_NAME`
`private static ERModelEditor` | `erModelEditor`
`private static MindmapDiagramEditor` | `mindmapDiagramEditor`
`private static UseCaseModelEditor` | `useCaseModelEditor`

Method Summary
`static BasicModelEditor` | `getBasicModelEditor()` Create BasicModelEditor.
`static ERModelEditor` | `getERModelEditor()` Create ERModelEditor.
`static MindmapDiagramEditor` | `getMindmapDiagramEditor()` Create MindmapDiagramEditor.
`static UseCaseModelEditor` | `getUseCaseModelEditor()` Create UseCaseModelEditor.

Field Detail

### BASIC_MODEL_EDITOR_NAME

    private static final String BASIC_MODEL_EDITOR_NAME

### ER_MODEL_EDITOR_NAME

    private static final String ER_MODEL_EDITOR_NAME

### basicModelEditor

    private static BasicModelEditor basicModelEditor

### erModelEditor

    private static ERModelEditor erModelEditor

### useCaseModelEditor

    private static UseCaseModelEditor useCaseModelEditor

### mindmapDiagramEditor

    private static MindmapDiagramEditor mindmapDiagramEditor

Method Detail

### getBasicModelEditor

    public static BasicModelEditor getBasicModelEditor()

  Create BasicModelEditor.

  Returns:
    BasicModelEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - Community version cannot use editing API

### getERModelEditor

    public static ERModelEditor getERModelEditor()

  Create ERModelEditor.

  Returns:
    ERModelEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - Community version cannot use editing API

### getUseCaseModelEditor

    public static UseCaseModelEditor getUseCaseModelEditor()

  Create UseCaseModelEditor.

  Returns:
    UseCaseModelEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - Community version cannot use editing API

### getMindmapDiagramEditor

    public static MindmapDiagramEditor getMindmapDiagramEditor()

  Create MindmapDiagramEditor.

  Returns:
    MindmapDiagramEditor
  Throws:
    `ClassNotFoundException` - Invalid Class Path
    `InvalidEditingException` - Community version cannot use editing API

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD